- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDbCommandBuilder
TDbMetaData
TDbTableColumn
TDbTableInfo
TMssqlCommandBuilder
TMysqlCommandBuilder
TOracleCommandBuilder
TOracleTableInfo
TPgsqlCommandBuilder
TSqliteCommandBuilder

Keyword

# Class TOracleCommandBuilder

    TComponent
       |
       --TDbCommandBuilder
          |
          --TOracleCommandBuilder

TOracleCommandBuilder provides specifics methods to create limit/offset query commands for Oracle database.

Since: 3.1
Author: Marcos Nobre <marconobre[at]gmail[dot]com>

Method Summary
string | applyLimitOffset ( string $sql, integer $limit, integer $offset) Overrides parent implementation to use Oracle way of get paginated RecordSet instead of using LIMIT sql clause.
string | getSearchExpression ( array $fields, string $keywords) Overrides parent implementation. Only column of type text or character (and its variants) accepts the LIKE criteria.
protected boolean | isSearchableColumn ( mixed $column)

Methods Inherited From TDbCommandBuilder

TDbCommandBuilder::applyCriterias(), TDbCommandBuilder::applyLimitOffset(), TDbCommandBuilder::applyOrdering(), TDbCommandBuilder::bindArrayValues(), TDbCommandBuilder::bindColumnValues(), TDbCommandBuilder::createCommand(), TDbCommandBuilder::createCountCommand(), TDbCommandBuilder::createDeleteCommand(), TDbCommandBuilder::createFindCommand(), TDbCommandBuilder::createInsertCommand(), TDbCommandBuilder::createUpdateCommand(), TDbCommandBuilder::getColumnBindings(), TDbCommandBuilder::getDbConnection(), TDbCommandBuilder::getInsertFieldBindings(), TDbCommandBuilder::getLastInsertID(), TDbCommandBuilder::getPdoType(), TDbCommandBuilder::getSearchCondition(), TDbCommandBuilder::getSearchExpression(), TDbCommandBuilder::getTableInfo(), TDbCommandBuilder::hasIntegerKey(), TDbCommandBuilder::setDbConnection(), TDbCommandBuilder::setTableInfo()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## applyLimitOffset

public string applyLimitOffset | (string $sql , integer $limit , integer $offset )

Overrides parent implementation to use Oracle way of get paginated RecordSet instead of using LIMIT sql clause.

Input
string | $sql | SQL query string.
integer | $limit | maximum number of rows, -1 to ignore limit.
integer | $offset | row offset, -1 to ignore offset.
Output
string | SQL with limit and offset in Oracle way.
Exception

## getSearchExpression

public string getSearchExpression | (array $fields , string $keywords )

Overrides parent implementation. Only column of type text or character (and its variants) accepts the LIKE criteria.

Input
array | $fields | list of column id for potential search condition.
string | $keywords | string of keywords
Output
string | SQL search condition matching on a set of columns.
Exception

## isSearchableColumn

protected boolean isSearchableColumn | (mixed $column )

Input
mixed | $column |
Output
boolean | true if column can be used for LIKE searching.
Exception